oodt-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mallder, Valerie" <Valerie.Mall...@jhuapl.edu>
Subject RE: OODT-757 issue remains in RADiX OODT 0.8
Date Wed, 21 Jan 2015 01:08:10 GMT
Hey Tom, no worries. I'm glad I documented my process for getting up and running with OODT
 0.7. Because when I started with 0.8 and ran into a familiar problem I knew exactly what
was causing it, and I didn't have to spend a lot of time debugging it. Thanks for letting
me know where the fix was made.

Val



Sent from my iPhone.
________________________________
From: Tom Barber <tom.barber@meteorite.bi>
Sent: Tuesday, January 20, 2015 8:34:23 AM
To: dev@oodt.apache.org
Subject: Re: OODT-757 issue remains in RADiX OODT 0.8

Hi Val

I have to apologise I thought I'd fixed it, but I must have pushed the
commit after I branched and built 0.8.

http://svn.apache.org/repos/asf/oodt/trunk/mvn/archetypes/radix/src/main/resources/archetype-resources/pge/pom.xml

In trunk I removed the hard coded 0.3 and so it should now work but in
the tag:

http://svn.apache.org/repos/asf/oodt/tags/0.8/mvn/archetypes/radix/src/main/resources/archetype-resources/pge/pom.xml

You'll see its still hardcoded to 0.3.

Tom

On 19/01/15 21:13, Mallder, Valerie wrote:
> Hi All,  Hope everyone had a good holiday. I can't believe we are 3 weeks into January
already.
>
> I want to give everyone a heads up that if you are using the RADiX version of OODT 0.8,
there are two problems that I ran into in OODT 0.7 that are still causing me some issues in
OODT-0.8 and tell you how to work around them.
>
> OODT-757 documented a issue where the PGETaskInstance could not launch an AutoDetectProductCrawler
due to a coding typo.  The typo has been fixed in 0.8, but if you are using the RADiX install
of  OODT 0.8, there is an additional problem where the cas-pge-0.8.jar is not actually installed
in the pge/lib directory. Instead, cas-pge-0.3.jar is installed in the pge/lib directory and
therefore, you do not get to take advantage of the fix for OODTD-757.
>
> The fact that cas-pge-0.3.jar is installed in the pge/lib directory is a known issue
related to OODT-761 that I found in OODT-0.7 (and looks like is planned to be fixed in OODT-0.9)
where cas-filemgr-0.X.jar file is not installed in resmgr/lib and workflow/lib directories,
cas-workflow-0.3.jar (rather than cas-workflow-0.8.jar) is installed in resmgr/lib, and cas-pge-0.3.jar
(rather than cas-pge-0.8.jar) is installed in pge/lib, workflow/lib, and resmgr/lib directories.
>
> So, in order to use the RADiX easy install, you actually have to download these libraries
from the full version of OODT 0.8, build them, and install them in the lib directories in
your RADiX installation.
>
> I heard there is a problem in the later versions of the pge component and that is the
reason why the RADiX install remains at version 0.3.  Unfortunately, this creates a problem
for anyone who needs to use fixes that went into the later versions of the cas pge component.
 Does anyone know the status of the problem that is preventing the RADiX install from installing
cas-pge-0.8.jar?
>
> In the meantime, I continue to do the steps mentioned above.
>
> Val
>
>
>
>
>
>
>
>
> Valerie A. Mallder
>
> New Horizons Deputy Mission System Engineer
> The Johns Hopkins University/Applied Physics Laboratory
> 11100 Johns Hopkins Rd (MS 23-282), Laurel, MD 20723
> 240-228-7846 (Office) 410-504-2233 (Blackberry)
>
>


--
*Tom Barber* | Technical Director

meteorite bi
*T:* +44 20 8133 3730
*W:* www.meteorite.bi<http://www.meteorite.bi> | *Skype:* meteorite.consulting
*A:* Surrey Technology Centre, Surrey Research Park, Guildford, GU2 7YG, UK

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message